<!DOCTYPE html>
<html>
<head>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/sockjs-client/1.1.4/sockjs.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/stomp.js/2.3.3/stomp.min.js"></script>
	<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
	<title>Compress tracker</title>
</head>
<body>
<div id="jam"></div>>
<script type = "text/javascript">
	WebSocketTest();
	function WebSocketTest() {

		if ("WebSocket" in window) {
			var ws_stomp_display     = new SockJS( 'http://152.118.148.103:15674/stomp');
			var client_display = Stomp.over(ws_stomp_display);
			var mq_queue_display    = "/exchange/progress/cots-uas";

			var on_connect_display = function() {
				console.log('connected');
				client_display.subscribe(mq_queue_display, on_message_display);
			};

			var on_error_display =  function() {
				console.log('error');
			};

			var on_message_display = function(m) {
				console.log('message received');
				$('#jam').html(m.body);
			};
			client_display.connect('1406578275', '1406578275', on_connect_display, on_error_display, '/1406578275');

		} else {
			// The browser doesn't support WebSocket
			alert("WebSocket NOT supported by your Browser!");
		}
	}
</script>
</body>
</html>